Bug 1403983 - After performing an upgrade, no role workers start on new appliances
Summary: After performing an upgrade, no role workers start on new appliances
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.7.1
Assignee: Joe Rafaniello
QA Contact: Jan Krocil
URL:
Whiteboard:
Depends On: 1402943
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-12 19:22 UTC by Satoe Imaishi
Modified: 2020-01-17 16:19 UTC (History)
5 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1402943
Environment:
Last Closed: 2017-02-27 19:27:40 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 18:46:00 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/db36d94a8db938e5f6221561b65c83502f3f528b

commit db36d94a8db938e5f6221561b65c83502f3f528b
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Thu Dec 8 17:15:23 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 13:42:36 2017 -0500

    Merge pull request #13065 from jrafanie/fix_master_server_failover_race_condition
    
    Fix master server failover race condition
    (cherry picked from commit 1eafadd79813e7472d12fca8842fa12ac60bd6ee)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1403983

 app/models/miq_server/server_monitor.rb       | 20 ++++++-----
 spec/models/miq_server/server_monitor_spec.rb | 49 +++++++++++++++++++++++++++
 2 files changed, 61 insertions(+), 8 deletions(-)

Comment 3 Jan Krocil 2017-01-27 10:38:33 UTC
Verified fixed in 5.7.1.0 - 5.7.1.0.20170124142149_8a5f4d5.

Tested scenario:
 - 3 appliances (A, B, C)
 1. A set up with internal DB
 2. A stopped
 3. B set up with external DB, pointed at A (same region)
 4. B's UI came up, active as master [OK]
 5. C set up with external DB, pointed at A (same region)
 6. C's UI didn't come up, master inactive [OK]
 7. B stopped
 8. C's UI came up, active as master [OK]

Comment 4 errata-xmlrpc 2017-02-27 19:27:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.